# -*- coding: utf-8 -*-

from django.conf.urls import url

from account import tourguide_views
from group import lensman_views
from page import oauth_views, page_views


urlpatterns = [
    url(r'^user_agreement$', page_views.user_agreement, name='user_agreement'),  # 用户协议页面
    url(r'^contact_us$', page_views.contact_us, name='contact_us'),  # 联系我们页面
    url(r'^price$', page_views.lensman_price, name='lensman_price'),  # 摄影师照片价格和分成规则
]

urlpatterns += [
    url(r'^lensman$', oauth_views.lensman_oauth, name='lensman_oauth'),  # 摄影师授权页面
    url(r'^tourguide$', oauth_views.tourguide_oauth, name='tourguide_oauth'),  # 导游授权页面
    url(r'^loginqr$', oauth_views.login_qrcode, name='login_qrcode'),  # 登录二维码页面
]

# 摄影师相关
urlpatterns += [
    url(r'^l/submit$', lensman_views.lensman_submit_api, name='lensman_submit_api'),  # 摄影师信息提交
]

# 导游相关
urlpatterns += [
    url(r'^t/submit$', tourguide_views.tourguide_submit_api, name='tourguide_submit_api'),  # 导游信息提交
]
